View Issue Details

IDProjectCategoryView StatusLast Update
0003319SymmetricDSBugpublic2019-05-08 10:56
Reporterwoehrl01Assigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version 
Target Version3.10.2Fixed in Version3.10.2 
Summary0003319: Stopping the engine on the main node via REST stops the whole system
DescriptionStoping the engine on the main node via rest stops the whole system. As it writes into sym_parameter with

ALL ALL auto.start.engine false 2016-02-16 13:49:52.383 system 2017-11-16 10:58:55.800

if this is synced down to the nodes, you'll have to manually adjust all nodes.
Steps To ReproduceCall stop engine on the rest endpoint
Tagsapi

Activities

woehrl01

2018-04-26 14:03

reporter   ~0001169

I think this issue can be closed as the PR has been merged already.

elong

2019-04-25 16:39

developer   ~0001444

After stopping an engine from REST service, I think the idea was that it will stay stopped even if you restart the server. So it saves a parameter to keep it from auto starting again. But it's targeting all node groups. Parameter should be saved for the node group and external ID of the engine instead.

Related Changesets

SymmetricDS: 3.10 d3828c91

2019-04-26 08:38:02

admin

Details Diff
0003319: Stoping the engine on the main node via rest stops the whole
system

0003319
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/RestService.java Diff File

Issue History

Date Modified Username Field Change
2017-11-16 05:05 woehrl01 New Issue
2018-04-26 14:03 woehrl01 Note Added: 0001169
2019-04-25 16:39 elong Assigned To => elong
2019-04-25 16:39 elong Status new => confirmed
2019-04-25 16:39 elong Note Added: 0001444
2019-04-25 16:39 elong Tag Attached: api
2019-04-26 08:38 elong Status confirmed => resolved
2019-04-26 08:38 elong Resolution open => fixed
2019-04-26 08:38 elong Fixed in Version => 3.10.2
2019-04-26 08:38 elong Target Version => 3.10.2
2019-04-26 09:00 admin Changeset attached => SymmetricDS 3.10 d3828c91
2019-05-03 08:38 elong Summary Stoping the engine on the main node via rest stops the whole system => Stopping the engine on the main node via REST stops the whole system
2019-05-08 10:56 admin Status resolved => closed